#block-kackaamin-tocjsblock {
  flex: 1 1 auto;
}

.toc-js {
  position: sticky;
  top: 24px;

  & .toc-title {
    font-family: var(--font-hind), serif;
    font-size: 16px;
    font-weight: 400;
    margin-bottom: 0;
    padding: 12px 16px;
    background: var(--bg-tertiary);
    border-radius: 20px 0;
    color: var(--text-primary);
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    width: 100%;
    &::after {
      display: block;
      content: '';
      width: 24px;
      height: 24px;
      mask-image: url("/modules/custom/ui_icons_boxicons/node_modules/boxicons/svg/regular/bx-chevron-down.svg");
      mask-size: contain;
      mask-repeat: no-repeat;
      background-color: var(--text-primary);
    }    
  }

  & .toc-item {
    padding: 12px 32px;
    color: var(--text-secondary);

    &.toc-active {
      color: var(--text-primary);
      font-weight: 600;
    }
  }

  & ul {
    margin-top: 12px;
    display: none;
  }
  & .active {
    & ul {
      display: inherit;
    }
    & .toc-title:after {
      transform: rotate(180deg);
    }
  }

  @media (min-width: 1024px) {
    & .toc-title {
      font-family: var(--font-laila), serif;
      font-size: 24px;
      font-weight: 700;
      margin-bottom: 16px;
      padding: 0;
      background: none;
      border-radius: 0;    
      color: var(--text-secondary);  
      cursor: auto;
      display: block;
      &::after {
        display: none;
      }
    }    
    & ul {
      margin-top: 0;
      display: inherit;
    }    
  }  
}

